package org.gyk.modules.sz.jldxx.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.gyk.modules.sssj.entity.YasuojiJcxx;
import org.gyk.modules.sz.jldxx.entity.CxcSssjSzJldxx;
import org.gyk.modules.sz.jldxx.mapper.JldxxMapper;
import org.gyk.modules.sz.jldxx.service.IGetJldxxService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class GetJldxxServiceImpl extends ServiceImpl<JldxxMapper, CxcSssjSzJldxx> implements IGetJldxxService {
    @Override
//    @Cacheable(value = "sqlBj", key = "#jldlx")
    public List<CxcSssjSzJldxx> getAllJldxx(String jldlx) {
        return baseMapper.getAllJldxx(jldlx);
    }

    @Override
    public List<CxcSssjSzJldxx> getJldxxById(String jldId) {
        return baseMapper.getJldxxById(jldId);
    }

    @Override
//    @Cacheable(value = "sqlBj", key = "#root.methodName+#jldlx")
    public List<YasuojiJcxx> getYsjGykbz(String jldlx) {
        return baseMapper.getYsjGykbz(jldlx);
    }

}
